Latest version (1.0.1) of TensorOperations.jl on JuliaBox

juliabox

#1

Hi,

This might be specific to TensorOperations.jl, but trying to add it JuliaBox installs an older version (v0.7.1)

Pkg.add("TensorOperations") Resolving package versions... Updating~/.julia/Project.toml[6aa20fa7] + TensorOperations v0.7.1 Updating~/.julia/Manifest.toml[6aa20fa7] + TensorOperations v0.7.1

I also tried:

Pkg.add(PackageSpec(url="https://github.com/Jutho/TensorOperations.jl")) 

But got the following error:

GitError(Code:ENOTFOUND, Class:Repository, could not find repository from '/mnt/juliabox/.julia/clones/14334794153902611033')

Stacktrace:
 [1] macro expansion at /buildworker/worker/package_linux64/build/usr/share/julia/stdlib/v1.0/LibGit2/src/error.jl:101 [inlined]
 [2] LibGit2.GitRepo(::String) at /buildworker/worker/package_linux64/build/usr/share/julia/stdlib/v1.0/LibGit2/src/repository.jl:11
 [3] #handle_repos_add!#44(::Bool, ::Nothing, ::Function, ::Pkg.Types.Context, ::Array{Pkg.Types.PackageSpec,1}) at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/Types.jl:630
 [4] #handle_repos_add! at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:0 [inlined]
 [5] #add_or_develop#13(::Symbol, ::Bool, ::Base.Iterators.Pairs{Union{},Union{},Tuple{},NamedTuple{(),Tuple{}}}, ::Function, ::Pkg.Types.Context, ::Array{Pkg.Types.PackageSpec,1}) at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:54
 [6] #add_or_develop at ./none:0 [inlined]
 [7] #add_or_develop#12 at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:29 [inlined]
 [8] #add_or_develop at ./none:0 [inlined]
 [9] #add_or_develop#10 at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:27 [inlined]
 [10] #add_or_develop at ./none:0 [inlined]
 [11] #add#18 at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:69 [inlined]
 [12] add(::Pkg.Types.PackageSpec) at /opt/julia-1.0.3/share/julia/stdlib/v1.0/Pkg/src/API.jl:69
 [13] top-level scope at In[13]:1

Is it possible to force juliabox to download the latest version?

Thanks!